name: 🚀 Feature Request
description: I have a suggestion (and might want to implement myself 🙂)!
labels:
  - proposal
body:
  - type: markdown
    attributes:
      value: |
        ## Thanks for suggesting a feature!

        We will gradly consider your suggestion. Please, also consider submitting a pull-request.

        ### Suggesting a new section?

        Help  us validate your suggestion.
        Visit our [contributing guidelines](https://github.com/spaceship-prompt/spaceship-prompt/blob/master/CONTRIBUTING.md#sections) and make sure your section:

        * Will not clutter the prompt
        * Will not slow down the prompt
        * Worth to be aware of on every command

  - type: textarea
    attributes:
      label: The problem
      description: >
        Is your feature request related to a problem? Please describe.
        Provide a clear and concise description of what the problem is.

        Tell us what you were trying to do and what happened.

  - type: textarea
    validations:
      required: true
    attributes:
      label: Describe the solution you'd like
      description: >
        A clear and concise description of what you want to happen. Add any considered drawbacks.

  - type: textarea
    attributes:
      label: Describe alternatives you've considered
      description: >
        A clear and concise description of any alternative solutions or features you've considered.

  - type: textarea
    attributes:
      label: Documentation and adoption
      description: >
        If you can, explain how users will be able to use this and possibly write out a version the docs.

        Please note, you can attach screenshots or screen recordings here, by
        dragging and dropping files in the field below.
      render: markdown
